Subject: Re: sed strips CRs
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 13 Feb 2012 10:43:22 -0500
List-Id: <cygwin.cygwin.com>

On Mon, Feb 13, 2012 at 10:22 AM, Paolo Bonzini <[email-masked]> wrote:
> On 02/13/2012 03:56 PM, Corinna Vinschen wrote:
>>
>> > As long as it's consistent with coreutils I'll certainly do the change.
>>
>> Thanks!  Would you mind to CC the cygwin list when the next upstream
>> sed release is available?
>
>
> Sure, it should be real soon now since a new release has been long overdue.
>
> By the way, I'm still opening the script file with "rt".  I cannot think of
> any case when you would want to keep CRs there.

The case of

sed -e 's/something/nothing/g' myfile > myfile2

as it works in Cygwin today would mean that in the case of the OP's
drive settings myfile2 would not contain the CR.  Treating CR as white
space is the more proper thing to do, IMO.

-- 
Earnie
-- https://sites.google.com/site/earnieboyd

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple